Bug 802727 - /etc/rc.d/init.d/opensm refers to obsolete $openib and /etc/ofed/opensm.conf
/etc/rc.d/init.d/opensm refers to obsolete $openib and /etc/ofed/opensm.conf
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: opensm (Show other bugs)
16
x86_64 Linux
unspecified Severity low
: ---
: ---
Assigned To: Doug Ledford
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-13 06:56 EDT by Alexander Murashkin
Modified: 2012-04-11 23:16 EDT (History)
1 user (show)

See Also:
Fixed In Version: opensm-3.3.13-2.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-02 19:26:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alexander Murashkin 2012-03-13 06:56:13 EDT
Description of problem:

/etc/rc.d/init.d/opensm refers refers to obsolete $openib and /etc/ofed
/opensm.conf. 

The references shall be replaced with $rdma and /etc/rdma/opensm.conf 

Version-Release number of selected component (if applicable):

opensm-3.3.12-1.fc16.x86_64
  
Actual results:

egrep  'Required-Start| config:' /etc/rc.d/init.d/opensm
# config: /etc/ofed/opensm.conf
# Required-Start: $openib

Expected results:

egrep  'Required-Start| config:' /etc/rc.d/init.d/opensm
# config: /etc/rdma/opensm.conf 
# Required-Start: $rdma

Additional info:

#!/bin/bash
#
# Bring up/down opensm
#
# chkconfig: - 15 85
# description: Activates/Deactivates InfiniBand Subnet Manager
# config: /etc/ofed/opensm.conf
#
### BEGIN INIT INFO
# Provides:       opensm
# Default-Stop: 0 1 2 3 4 5 6
# Required-Start: $openib
# Short-Description: Starts/Stops the InfiniBand Subnet Manager
# Description: Starts/Stops the InfiniBand Subnet Manager
### END INIT INFO
Comment 1 Alexander Murashkin 2012-03-13 07:06:03 EDT
> The references shall be replaced with $rdma and /etc/rdma/opensm.conf 

Sorry, it shall be just rdma (not $rdma).

# Required-Start: rdma
Comment 2 Doug Ledford 2012-03-13 12:27:45 EDT
This has already been partially fixed.  The opensm you are testing is not the latest available.  However, I forgot to update the config: statement and only got the Required-Start and Required-Stop statements.  The next update will fix the config line too.
Comment 3 Fedora Update System 2012-03-13 16:14:02 EDT
opensm-3.3.13-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/opensm-3.3.13-2.fc16
Comment 4 Fedora Update System 2012-03-13 16:14:11 EDT
opensm-3.3.13-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/opensm-3.3.13-2.fc17
Comment 5 Fedora Update System 2012-03-13 16:14:20 EDT
opensm-3.3.13-2.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/opensm-3.3.13-2.fc15
Comment 6 Fedora Update System 2012-03-15 22:39:17 EDT
Package opensm-3.3.13-2.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing opensm-3.3.13-2.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-3770/opensm-3.3.13-2.fc17
then log in and leave karma (feedback).
Comment 7 Fedora Update System 2012-04-02 19:26:59 EDT
opensm-3.3.13-2.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2012-04-02 19:28:53 EDT
opensm-3.3.13-2.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2012-04-11 23:16:50 EDT
opensm-3.3.13-2.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.